<!DOCTYPE html>
<html>
<head>
	<title>Objeto XMLHTTPRequest</title>
</head>
<body>
	<section id="container">
		Respuesta a petición:
	</section>

	<script type="text/javascript">	
		var req = new XMLHttpRequest();
		req.open('GET', 'https://jsonplaceholder.typicode.com/posts', false); 
		req.send(null);
		if (req.status == 200){
			console.log('Respuesta correcta');
		  	display(req.responseText);
		}else{
			console.log('la petición fallo!!');	
		}

		function display(text){
			let element = document.getElementById('container');
			element.textContent = text;
		}
	</script>
</body>
</html>


<!--

	/*
		var req = new XMLHttpRequest();
		req.open('GET', 'http://www.google.com', false);  //false = synchronous
		//req.setRequestHeader('Access-Control-Allow-Origin', '*');
		//req.setRequestHeader('Access-Control-Allow-Methods', 'GET');
		//req.setRequestHeader("Header-Custom-TizenCORS", "OK")
		req.setRequestHeader('Access-Control-Allow-Headers', '*');
    	req.setRequestHeader('Access-Control-Allow-Origin', '*');
		req.setRequestHeader('X-Requested-With', 'XMLHttpRequest');
		req.setRequestHeader("Content-type", "text");	

		req.send();
		if (req.status == 200){
		  display(req.responseText);
		}

		function display(text){
			let element = document.getElementById('container');
			element.textContent = text;
		}
		*/


	-->
